﻿@using Kendo.Mvc.UI
@model Iglo.World.ViewModels.ArDetailViewModel

@using (Html.BeginForm(null, null, FormMethod.Post, new { id = "addEditFormDetail", name = "addEditFormDetail" }))
{
    @Html.HiddenFor(m => m.ArdetailId)
    <div class="form-horizontal">
        <div class="form-group row">
            <div class="col-md-2">
                @Html.Label("Invoice No :")
            </div>
            <span class="required-field"><i class="fa fa-asterisk"></i></span>
            <div class="col-md-8">
                @(Html.Kendo().TextBoxFor(m => m.InvoiceNum).HtmlAttributes(new { @class = "form-control", @maxlength = 50, @readonly = "readonly" }))
            </div>
        </div>
        <div class="form-group row" style="display:none">
            <div class="col-md-2">
                @Html.Label("Invoice Line :")
            </div>
            <span class="required-field"><i class="fa fa-asterisk"></i></span>
            <div class="col-md-8">
                @(Html.Kendo().TextBoxFor(m => m.InvoiceLine).HtmlAttributes(new { @class = "form-control", @maxlength = 50}))
            </div>
        </div>
        <div class="form-group row">
            <div class="col-md-2">
                @Html.Label("Part ID :")
            </div>
            <span class="required-field"><i class="fa fa-asterisk"></i></span>
            <div class="col-md-8">
                @(Html.Kendo().TextBoxFor(m => m.PartNum).HtmlAttributes(new { @class = "form-control", @maxlength = 50 }))
            </div>
        </div>
        <div class="form-group row">
            <div class="col-md-2">
                @Html.Label("Line Description :")
            </div>
            <span class="required-field"><i class="fa fa-asterisk"></i></span>
            <div class="col-md-8">
                @(Html.Kendo().TextBoxFor(m => m.PartDescriptions).HtmlAttributes(new { @class = "form-control", @maxlength = 1000 }))
            </div>
        </div>
        <div class="form-group row">
            <div class="col-md-2">
                @Html.Label("Qty :")
            </div>
            <span class="required-field"><i class="fa fa-asterisk"></i></span>
            <div class="col-md-8">
                @(Html.Kendo().NumericTextBoxFor(m => m.Qty).HtmlAttributes(new { @class = "form-control", @maxlength = 18 }))
            </div>
        </div>
        <div class="form-group row">
            <div class="col-md-2">
                @Html.Label("UOM :")
            </div>
            <span class="required-field"><i class="fa fa-asterisk"></i></span>
            <div class="col-md-8">
                @(Html.Kendo().TextBoxFor(m => m.Uom).HtmlAttributes(new { @class = "form-control", @maxlength = 6 }))
            </div>
        </div>
        <div class="form-group row">
            <div class="col-md-2">
                @Html.Label("Unit Price :")
            </div>
            <span class="required-field"><i class="fa fa-asterisk"></i></span>
            <div class="col-md-8">
                @(Html.Kendo().NumericTextBoxFor(m => m.Cost).HtmlAttributes(new { @class = "form-control", @maxlength = 18 }))
            </div>
        </div>
        <div class="form-group row">
            <div class="col-md-2">
                @Html.Label("Total Price :")
            </div>
            <span class="required-field"><i class="fa fa-asterisk"></i></span>
            <div class="col-md-8">
                @(Html.Kendo().NumericTextBoxFor(m => m.TotalCost).HtmlAttributes(new { @class = "form-control", @maxlength = 18 }))
            </div>
        </div>
    </div>
    <div class="modal-footer">
        <div class="btn-wrapper">
            <button class="btn btn-primary" type="submit" id="btnSaveDetail" name="btnSave">SAVE</button>
            <button class="btn btn-warning" type="button" id="btnCloseDetail" name="btnClose">CLOSE</button>
        </div>
    </div>
}

<script>
    $(function () {
        $("#btnCloseDetail").click(popup.closeClickDetail);
        $("#btnSaveDetail").click(popup.saveDetailClick);
    });
</script>